Package org.apache.calcite.avatica

## Class Helper

- java.lang.Object
- - org.apache.calcite.avatica.Helper

    public class Helper
    extends java.lang.Object

Utility methods, mainly concerning error-handling.

### Field Summary

Fields
`static Helper` `INSTANCE`

### Constructor Summary

Constructors
`private` `Helper()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.sql.SQLClientInfoException` `clientInfo()`
`java.sql.SQLException` `closed()`
`java.sql.SQLException` `createException​(java.lang.String message)`
`java.sql.SQLException` `createException​(java.lang.String message, java.lang.Exception e)`
`java.sql.SQLException` `createException​(java.lang.String message, java.lang.String sql, java.lang.Exception e)`
`java.lang.RuntimeException` `todo()`
`java.sql.SQLException` `toSQLException​(java.sql.SQLException exception)`
`java.sql.SQLException` `unsupported()`
`java.lang.RuntimeException` `wrap​(java.lang.String message, java.lang.Exception e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final Helper INSTANCE

### Constructor Detail

#### Helper

    private Helper()

### Method Detail

#### todo

    public java.lang.RuntimeException todo()

#### wrap

    public java.lang.RuntimeException wrap​(java.lang.String message,
                                           java.lang.Exception e)

#### createException

    public java.sql.SQLException createException​(java.lang.String message,
                                                 java.lang.Exception e)

#### createException

    public java.sql.SQLException createException​(java.lang.String message,
                                                 java.lang.String sql,
                                                 java.lang.Exception e)

#### createException

    public java.sql.SQLException createException​(java.lang.String message)

#### toSQLException

    public java.sql.SQLException toSQLException​(java.sql.SQLException exception)

#### closed

    public java.sql.SQLException closed()

#### unsupported

    public java.sql.SQLException unsupported()

#### clientInfo

    public java.sql.SQLClientInfoException clientInfo()